<?xml version='1.0'?><!-- -*-SGML-*- -->
<!--
    This  file   is  part  of  DocBookEasy.   DocBookEasy   is  a  web
    application that displays and edits DocBook documents.

    Copyright (C) 2008 Dashamir Hoxha, dashohoxha@users.sf.net

    DocBookEasy  is  free software;  you  can  redistribute it  and/or
    modify it  under the  terms of the  GNU General Public  License as
    published by the Free Software Foundation; either version 2 of the
    License, or (at your option) any later version.

    DocBookEasy is distributed in the hope that it will be useful, but
    WITHOUT  ANY  WARRANTY;  without  even  the  implied  warranty  of
    MERCHANTABILITY or FITNESS FOR  A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a  copy of the GNU General Public License
    along  with  DocBookEasy;  if  not,  write to  the  Free  Software
    Foundation,  Inc.,   59  Temple  Place,  Suite   330,  Boston,  MA
    02111-1307 USA
  -->

<!--
    Replaces any elements sect1, sect2, sect3, sect4, sect5 
    by the element section.
  -->

<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="xml" version="1.0" encoding="utf-8" 
              omit-xml-declaration="no" standalone="no" indent="yes" />

  <!-- write the files content.xml -->
  <xsl:template match="sect1|sect2|sect3|sect4|sect5">
    <section>
      <xsl:apply-templates select="@*" />
      <xsl:apply-templates select="node()" />
    </section>
  </xsl:template>

  <!-- ignore empty text nodes... -->
  <xsl:template match="text()">
    <xsl:choose>
      <xsl:when test="normalize-space(.)=''" />
      <xsl:otherwise><xsl:value-of select="." /></xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  <!-- ...but not for screen or programlisting -->
  <xsl:template match="screen/text()|programlisting/text()">
    <xsl:value-of select="." />
  </xsl:template>

  <!-- ignore some attributes -->
  <xsl:template match="@moreinfo['none']" />
  <xsl:template match="@format['linespecific']" />

  <!-- copy everything else -->
  <xsl:template match="*|@*">
    <xsl:copy>
      <xsl:apply-templates select="@*"/>
      <xsl:apply-templates select="node()"/>
    </xsl:copy>
  </xsl:template>

</xsl:transform>
